Nowe posty

Autor Wątek: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?  (Przeczytany 4137 razy)

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2334
  • 1709
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #15 dnia: 2019-12-19, 16:40:11 »
parana jemu (exPredator) chodziło że po każdej aktualizacji sytemu w Linux Mint przybywa mu kerneli.
Ja też ich trochę mam, ale nigdy tego nie zauważyłem
$ dpkg -l | grep linux-image
ii  linux-image-4.15.0-20-generic              4.15.0-20.21                                    amd64        Signed kernel image generic
ii  linux-image-4.15.0-46-generic              4.15.0-46.49                                    amd64        Signed kernel image generic
ii  linux-image-4.15.0-65-generic              4.15.0-65.74                                    amd64        Signed kernel image generic
ii  linux-image-4.15.0-66-generic              4.15.0-66.75                                    amd64        Signed kernel image generic
ii  linux-image-4.15.0-70-generic              4.15.0-70.79                                    amd64        Signed kernel image generic
ii  linux-image-4.15.0-72-generic              4.15.0-72.81                                    amd64        Signed kernel image generic
Ale oczywiście sobie mogę ręcznie usunąć,
 lub napisać sobie skrypt w "bash-u" do automatycznego usuwania zbędnych kerneli.

Mnie to nie przeszkadza, kogoś innego może drażnić.
Takie to życie skomplikowane jest, co zrobić? :D
« Ostatnia zmiana: 2019-12-19, 16:41:47 wysłana przez 1709 »
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline arecki

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 110
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #16 dnia: 2019-12-19, 20:13:22 »
Do tego powinno wystarczyć
sudo apt autoremove
skrypty są tu zbędne.

Offline exPredator

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 156
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #17 dnia: 2019-12-19, 21:00:19 »
Kerneli zbędnych to nie usunie:

pc@pc:~$ sudo apt autoremove
[sudo] hasło użytkownika pc:   
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Następujące pakiety zostaną USUNIĘTE:
  entagged exfalso fonts-font-awesome fonts-lato gir1.2-keybinder-3.0
  hydrogen-data java-wrappers junit4 libapache-pom-java
  libatinject-jsr330-api-java libbasicplayer-java libcobra-java
  libcommons-codec-java libcommons-collections3-java libcommons-io-java
  libcommons-lang-java libcommons-logging-java libcommons-parent-java
  libcrypto++6 libdbus-java libftgl2 libglew2.0 libgsoap-2.8.60 libguava-java
  libhamcrest-java libhsqldb-java libjaudiotagger-java libjcommon-java
  libjfreechart-java libjgoodies-animation-java libjgoodies-common-java
  libjhlabs-filters-java libjlayer-java libjmac-java libjna-java libjna-jni
  libjorbis-java libjs-jquery libjs-modernizr libjs-sphinxdoc libjs-underscore
  libjspeex-java libjsr305-java liblaf-plugin-java liblaf-widget-java
  liblastfm-java liblastfm1 liblog4j1.2-java libmatthew-debug-java
  libmiglayout-java libmp3spi-java libmygpo-qt1 libnb-org-openide-util-java
  libnb-org-openide-util-lookup-java libportmidi0 libprojectm2v5
  libqdwizard-java libqjson0 libqt4-dbus libqt4-opengl libqt4-svg
  libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5webchannel5
  libqt5webkit5 libqt5xmlpatterns5 libqxt-core0 libqxt-gui0 librhino-java
  libsimple-validation-java libswingx-java libtrident-java libtritonus-java
  libunixsocket-java libvldocking-java libvncserver1 libvorbisspi-java
  libxpp3-java libxstream-java musescore-common projectm-data
  python-concurrent.futures python-faulthandler python-feedparser
  python-mutagen qml-module-qtgraphicaleffects qml-module-qtquick-controls
  qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qml-module-qtquick-window2
  qml-module-qtquick2 sphinx-rtd-theme-common squareness substance
0 aktualizowanych, 0 nowo instalowanych, 97 usuwanych i 0 nieaktualizowanych.
Po tej operacji zostanie zwolnione 181 MB miejsca na dysku.
Kontynuować? [T/n] t
(Odczytywanie bazy danych ... 348215 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu entagged (0.35-6) ...
Usuwanie pakietu exfalso (3.9.1-1.2) ...
Usuwanie pakietu sphinx-rtd-theme-common (0.2.4-1) ...
Usuwanie pakietu fonts-font-awesome (4.7.0~dfsg-3) ...
Usuwanie pakietu fonts-lato (2.0-2) ...
Usuwanie pakietu gir1.2-keybinder-3.0 (0.3.2-1) ...
Usuwanie pakietu hydrogen-data (0.9.7-6) ...
Usuwanie pakietu java-wrappers (0.3) ...
Usuwanie pakietu libqdwizard-java (5.0.1-1) ...
Usuwanie pakietu junit4 (4.12-8~18.04) ...
Usuwanie pakietu libcommons-logging-java (1.2-2) ...
Usuwanie pakietu libcommons-lang-java (2.6-8) ...
Usuwanie pakietu libguava-java (19.0-1) ...
Usuwanie pakietu libatinject-jsr330-api-java (1.0+ds1-5) ...
Usuwanie pakietu libbasicplayer-java (3.0-6) ...
Usuwanie pakietu libcobra-java (0.98.4-5) ...
Usuwanie pakietu libcommons-codec-java (1.11-1) ...
Usuwanie pakietu libcommons-collections3-java (3.2.2-2~18.04) ...
Usuwanie pakietu libcommons-io-java (2.6-2) ...
Usuwanie pakietu libcrypto++6 (5.6.4-8) ...
Usuwanie pakietu libdbus-java (2.8-9) ...
Usuwanie pakietu libprojectm2v5 (2.1.0+dfsg-4build1) ...
Usuwanie pakietu libftgl2:amd64 (2.1.3~rc5-4+nmu1.2) ...
Usuwanie pakietu libglew2.0:amd64 (2.0.0-5) ...
Usuwanie pakietu libgsoap-2.8.60:amd64 (2.8.60-2build1) ...
Usuwanie pakietu libhamcrest-java (1.3-7) ...
Usuwanie pakietu libhsqldb-java (2.4.1-2~18.04) ...
Usuwanie pakietu libjaudiotagger-java (2.0.3-3) ...
Usuwanie pakietu libjfreechart-java (1.0.19-2) ...
Usuwanie pakietu libjcommon-java (1.0.23-1) ...
Usuwanie pakietu libjgoodies-animation-java (1.4.3-2) ...
Usuwanie pakietu libjgoodies-common-java (1.8.1-2) ...
Usuwanie pakietu libjhlabs-filters-java (2.0.235-3) ...
Usuwanie pakietu libjlayer-java (1.0.1-2) ...
Usuwanie pakietu libjmac-java (1.74-6) ...
Usuwanie pakietu libjna-java (4.5.1-1) ...
Usuwanie pakietu libjna-jni (4.5.1-1) ...
Usuwanie pakietu libjorbis-java (0.0.17-2) ...
Usuwanie pakietu python-concurrent.futures (3.2.0-1) ...
Usuwanie pakietu libjs-sphinxdoc (1.6.7-1ubuntu1) ...
Usuwanie pakietu libjs-jquery (3.2.1-1) ...
Usuwanie pakietu libjs-modernizr (2.6.2+ds1-1ubuntu1) ...
Usuwanie pakietu libjs-underscore (1.8.3~dfsg-1) ...
Usuwanie pakietu libjspeex-java (0.9.7-4) ...
Usuwanie pakietu libjsr305-java (0.1~+svn49-10) ...
Usuwanie pakietu liblaf-plugin-java (7.3+dfsg3-4~18.04.1) ...
Usuwanie pakietu liblaf-widget-java (7.3+dfsg3-4~18.04.1) ...
Usuwanie pakietu liblastfm-java (1:0.1.0-2) ...
Usuwanie pakietu liblastfm1:amd64 (1.0.9-1) ...
Usuwanie pakietu liblog4j1.2-java (1.2.17-8) ...
Usuwanie pakietu libmatthew-debug-java (0.8-2) ...
Usuwanie pakietu libmiglayout-java (4.2-3) ...
Usuwanie pakietu libmp3spi-java (1.9.5-1) ...
Usuwanie pakietu libmygpo-qt1:amd64 (1.0.9-2) ...
Usuwanie pakietu libsimple-validation-java (0.9-2) ...
Usuwanie pakietu libnb-org-openide-util-java (10.0-2~18.04.1) ...
Usuwanie pakietu libnb-org-openide-util-lookup-java (10.0-2~18.04.1) ...
Usuwanie pakietu libportmidi0:amd64 (1:217-6) ...
Usuwanie pakietu libqjson0:amd64 (0.8.1-3) ...
Usuwanie pakietu libqt4-dbus:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Usuwanie pakietu libqt4-opengl:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Usuwanie pakietu libqt4-svg:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Usuwanie pakietu libqt5webkit5:amd64 (5.212.0~alpha2-7ubuntu1) ...
Usuwanie pakietu libqt5positioning5:amd64 (5.9.5+dfsg-0ubuntu2) ...
Usuwanie pakietu qml-module-qtquick-controls:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu qml-module-qtgraphicaleffects:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu qml-module-qtquick2:amd64 (5.9.5-0ubuntu1.1) ...
Usuwanie pakietu qml-module-qtquick-window2:amd64 (5.9.5-0ubuntu1.1) ...
Usuwanie pakietu qml-module-qtquick-layouts:amd64 (5.9.5-0ubuntu1.1) ...
Usuwanie pakietu qml-module-qtquick-dialogs:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu qml-module-qtquick-privatewidgets:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu libqt5quick5:amd64 (5.9.5-0ubuntu1.1) ...
Usuwanie pakietu libqt5sensors5:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu libqt5webchannel5:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu libqt5xmlpatterns5:amd64 (5.9.5-0ubuntu1) ...
Usuwanie pakietu libqxt-gui0:amd64 (0.6.2-3) ...
Usuwanie pakietu libqxt-core0:amd64 (0.6.2-3) ...
Usuwanie pakietu librhino-java (1.7.7.1-1) ...
Usuwanie pakietu libswingx-java (1:1.6.2-4~18.04) ...
Usuwanie pakietu libtrident-java (7.3+dfsg3-4~18.04.1) ...
Usuwanie pakietu libtritonus-java (20070428-13) ...
Usuwanie pakietu libunixsocket-java (0.8-2) ...
Usuwanie pakietu libvldocking-java (2.1.4-5) ...
Usuwanie pakietu libvncserver1:amd64 (0.9.11+dfsg-1ubuntu1.1) ...
Usuwanie pakietu libvorbisspi-java (1.0.3-3) ...
Usuwanie pakietu libxstream-java (1.4.11.1-1~18.04) ...
Usuwanie pakietu libxpp3-java (1.1.4c-3) ...
Usuwanie pakietu musescore-common (2.1.0+dfsg3-3build1) ...
Usuwanie pakietu projectm-data (2.1.0+dfsg-4build1) ...
Usuwanie pakietu python-faulthandler (2.4-1) ...
Usuwanie pakietu python-feedparser (5.2.1-1) ...
Usuwanie pakietu python-mutagen (1.38-1) ...
Usuwanie pakietu squareness (2.3.0-7) ...
Usuwanie pakietu substance (7.3+dfsg3-4~18.04.1) ...
Usuwanie pakietu libcommons-parent-java (43-1) ...
Usuwanie pakietu libapache-pom-java (18-1) ...
Usuwanie pakietu libqt5qml5:amd64 (5.9.5-0ubuntu1.1) ...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils (0.23+linuxmint8)...
Przetwarzanie wyzwalaczy pakietu libc-bin (2.27-3ubuntu1)...
Przetwarzanie wyzwalaczy pakietu doc-base (0.10.8)...
Przetwarzanie 6 usuniętych plików doc-base...
Rejestrowanie dokumentów w programie scrollkeeper...
Przetwarzanie wyzwalaczy pakietu man-db (2.8.3-2ubuntu0.1)...
Przetwarzanie wyzwalaczy pakietu gnome-menus (3.13.3-11ubuntu1.1)...
Przetwarzanie wyzwalaczy pakietu hicolor-icon-theme (0.17-2)...
Przetwarzanie wyzwalaczy pakietu fontconfig (2.12.6-0ubuntu2)...
Przetwarzanie wyzwalaczy pakietu mime-support (3.60ubuntu1)...


Teraz pytanie, który kernel zbędny jest. Kiedyś gdy zostawiłem dwa ostatnie a reszt a w hasiok to mi połowa softu hulać nie chciała a w szczególności VBox. Własnie przed chwilą mint zapodał jajko 5.3.0-24 i jest zapisane jako ZAINSTALOWANE lecz AKTYWNE jest 5.0.0-37

dpkg -l | grep linux-image
ii  linux-image-5.0.0-32-generic               5.0.0-32.34~18.04.2                             amd64        Signed kernel image generic
ii  linux-image-5.0.0-37-generic               5.0.0-37.40~18.04.1                             amd64        Signed kernel image generic
ii  linux-image-5.3.0-24-generic               5.3.0-24.26~18.04.2                             amd64        Signed kernel image generic
ii  linux-image-generic-hwe-18.04              5.0.0.37.95                                     amd64        Generic Linux kernel image
« Ostatnia zmiana: 2019-12-19, 21:03:47 wysłana przez exPredator »

Offline pavbaranov

  • Users
  • Guru
  • *****
  • Wiadomości: 566
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #18 dnia: 2019-12-19, 21:17:35 »
Teraz pytanie, który kernel zbędny jest.
Dżizas... zbędny kernel jest ten, którego nie używasz. Jeśli to są kernele tej samej linii - np. 5.0.0, to ostatnia cyfra w przypadku Ubuntu oznacza tylko jego wersję poprawkową przeprowadzoną przez Ubuntu (nb. 5.0. jest już bardzo dawno EOL). Zatem 5.0.0.10 ma wszystko to co 5.0.0.1, ale dodatkowo - najczęściej - ma poprawki bezpieczeństwa i ewentualnie usunięte jakieś regresy. W zasadzie nic więcej. Zatem jeśli kernel 5.0.0.10 działa prawidłowo, to nie istnieje żaden sens mieć inny kernel z tej samej linii. Sens istnieje w istocie mieć więcej niż jeden kernel, ale różny, czyli nie dwa z tej samej, z której "wyższy" jest poprawkowy jedynie od "niższego". Trzymanie, a przede wszystkim używanie kernala "niższego" (jeśli chodzi o czwarte cyferki) jest proszeniem się o problemy (bo np. nie masz wszystkich poprawek bezpieczeństwa).
Kurcze, ale forum nie służy chyba od uczenia podstaw używania systemu? Choć fakt - Debian/Ubuntu/itd - są bardzo nieczytelne w tej swojej polityce.
« Ostatnia zmiana: 2019-12-19, 21:56:17 wysłana przez pavbaranov »

Offline arecki

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 110
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #19 dnia: 2019-12-19, 22:18:24 »
No Debiana w to bym nie mieszał, tu autoremove by wywaliło takie kernele.

Offline mackeire

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 254
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #20 dnia: 2019-12-19, 22:37:29 »
Ja siedzę na 4.15 i wszystko gra. Zdaje się ,że system zawsze uruchamia się na najwyższym dostępnym kernelu ...

Offline pavbaranov

  • Users
  • Guru
  • *****
  • Wiadomości: 566
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #21 dnia: 2019-12-19, 22:40:33 »
@mackeire - W zależności od ustawień Grubego.
@arecki - Nie wiem jak teraz, ale kiedyś w Debianie również tak było, że w repo istniały kernele tej samej linii w różnych wersjach i były one kolejno instalowane. Nie wypowiadam się co do "autoremove".

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2334
  • 1709
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #22 dnia: 2019-12-20, 07:37:57 »
https://www.youtube.com/watch?v=d03VUPuhhfo

Aczkolwiek to nie dotyczy tytułu tematu.
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline exPredator

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 156
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #23 dnia: 2019-12-20, 10:43:57 »
Ja robiłem to zawsze tak,że po instalacji systemu od razu instalowałem najnowszy, stabilny kernel. Dopiero wtedy wyrzucałem z systemu wszystkie poprzednie (Mint) lecz z czasem zaczęły dziać się krzaki. Któregoś to razu GoogleEarth wyświetliło mi że jądro jest nieobsługiwane, nie można zainstalowac pakietu. Zacząłem wtedy stosować zasadę: "jedno jajo z jedną cyferką" czyli zostawiałem 4.X najnowsze i 5.X najnowsze, wtedy działało mi prawie wszystko. Od jakiegoś czasu jednak nie bawię się w to i jest tak jak system sobie sam układa lecz widzę, że system robi smietnik. Jedno jajko waży czasami 60-70MB i gdy ich 10 się nazbiera to szkoda miejsca na dysku.
Wiem że nie na temat ale widzę że 19.3 BETA nie chce przejść na OFICJALKĘ zatem czeka mnie stawianie Minta od zera ale nim to zrobię, chcę właśnie pogrzebać i dowiedzieć się jak najwięcej o kernelach aby syfu na starcie sobie nie  robić. Szkoda że instalator minta podczas instalacji systemu nie proponuje wersji jądra (ah, ah ten Arch, tam mogę wybrać jajko) ...

Offline pavbaranov

  • Users
  • Guru
  • *****
  • Wiadomości: 566
    • Zobacz profil
Odp: Jak upgrade'ować Minta 19.3 Beta do oficjalki 19.3 ?
« Odpowiedź #24 dnia: 2019-12-20, 11:12:00 »
Któregoś to razu GoogleEarth wyświetliło mi że jądro jest nieobsługiwane, nie można zainstalowac pakietu.
Obawiam się, że coś pokręciłeś. Jeśli "zainstalować", to jedyna opcja, to paczka, która pobiera ze strony Google binarę Earth. Ten "instalator" jest kompletnie niezależny od kernela (i nie może być). Na pewno nie dokonałeś po instalacji nowego kernela odinstalowania starego, właśnie działającego?
Nawet po "instalacji" binarki Earth, to owa również nie może na kernel narzekać. To jest jej po prostu obce.
Praktycznie nie istnieje aplikacja, która komunikuje się bezpośrednio z kernelem (pomiędzy nią, a kernelem jest jeszcze od groma bibliotek, sterowników itp.), stąd aplikacja - jeśli nie odpowiada jej coś i nie może się uruchomić - poda, że coś (owa biblioteka) - jej nie pasuje, ale nie kernel.